-- phpMyAdmin SQL Dump
-- version 3.4.10.1deb1
-- http://www.phpmyadmin.net
--
-- Versión del servidor: 5.5.38
-- Versión de PHP: 5.3.10-1ubuntu3.13

--
-- Autor: Gustavo Velasco Sastre
--
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `halp`
--
CREATE DATABASE `halp` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `halp`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `acciones`
--

CREATE TABLE IF NOT EXISTS `acciones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `url` varchar(80) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `seleccion` int(11) NOT NULL,
  `icono` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nombre` (`nombre`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Volcado de datos para la tabla `acciones`
--

INSERT INTO `acciones` (`id`, `nombre`, `url`, `seleccion`, `icono`) VALUES
(1, 'Inicio', './index.psp', -1, ''),
(2, 'Ayuda', './ayuda.pdf', -1, ''),
(3, 'Nuevo Proyecto', './proyecto_nuevo.psp', 0, './imagenes/proyecto_nuevo.jpg'),
(4, 'Seleccionar Proyecto', './proyecto_seleccionar.psp', 0, './imagenes/proyecto_seleccionar.jpg'),
(5, 'Eliminar Proyecto', './proyecto_eliminar.psp', 0, './imagenes/proyecto_eliminar.jpg'),
(6, 'Modificar Propiedades', './proyecto_modificar.psp', 1, ''),
(7, 'Insertar Datos', './datos_insertar.psp', 1, ''),
(8, 'Eliminar Datos', './datos_eliminar.psp', 1, ''),
(9, 'EstadÃ­sticas', './estadisticas.psp', 1, '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estadisticas`
--

CREATE TABLE IF NOT EXISTS `estadisticas` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `url` varchar(80) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `tipo` int(11) unsigned NOT NULL,
  `icono` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nombre` (`nombre`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

--
-- Volcado de datos para la tabla `estadisticas`
--

INSERT INTO `estadisticas` (`id`, `nombre`, `url`, `tipo`, `icono`) VALUES
(1, 'Temporales', './est_temporales.psp', 0, './imagenes/estadisticas_temporales.jpg'),
(2, 'GeogrÃ¡ficas', './est_geograficas.psp', 0, './imagenes/estadisticas_geograficas.jpg'),
(3, 'Perfil de NavegaciÃ³n', './est_navegar.psp', 0, './imagenes/estadisticas_navegar.jpg'),
(4, 'CaracterizaciÃ³n de Carga', './est_carga.psp', 0, './imagenes/estadisticas_carga.jpg'),
(5, 'Entradas y Salidas', './est_nav_in_out.psp', 3, './imagenes/est_nav_in_out.jpg'),
(6, 'NavegaciÃ³n Interna', './est_nav_interna.psp', 3, './imagenes/est_nav_interna.jpg'),
(7, 'DescripciÃ³n de Carga', './est_car_descriptiva.psp', 4, './imagenes/est_car_descriptiva.jpg'),
(8, 'Modelo de Carga', './est_car_modelo.psp', 4, './imagenes/est_car_modelo.jpg'),
(9, 'Resumen Temporal', './est_tem_resumen.psp', 1, './imagenes/est_tem_resumen.jpg'),
(10, 'Resumen GeogrÃ¡fico', './est_geo_resumen.psp', 2, './imagenes/est_geo_resumen.jpg');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hits`
--

CREATE TABLE IF NOT EXISTS `hits` (
  `proyecto` int(10) unsigned NOT NULL,
  `s_fecha_hora` datetime NOT NULL,
  `s_ip` varchar(16) DEFAULT NULL,
  `cs_metodo` varchar(16) NOT NULL,
  `cs_uri_sistema_salida` varchar(120) NOT NULL,
  `cs_uri_sistema_llegada` varchar(120) NOT NULL,
  `cs_uri_query` text,
  `s_puerto` mediumint(8) unsigned DEFAULT NULL,
  `c_ip` varchar(16) NOT NULL,
  `c_RFC` varchar(32) DEFAULT NULL,
  `cs_version` varchar(16) NOT NULL,
  `cs_agente` text,
  `cs_cookie` text,
  `cs_referencia` text,
  `cs_host` varchar(80) DEFAULT NULL,
  `sc_estado` smallint(5) unsigned NOT NULL,
  `sc_subestado` int(10) unsigned DEFAULT NULL,
  `sc_estadoWin32` int(10) unsigned DEFAULT NULL,
  `sc_bytes` bigint(20) unsigned DEFAULT NULL,
  `cs_bytes` bigint(20) unsigned DEFAULT NULL,
  `sc_time` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`proyecto`,`s_fecha_hora`,`cs_uri_sistema_llegada`,`c_ip`),
  KEY `cs_uri_sistema_salida` (`cs_uri_sistema_salida`),
  KEY `sc_estado` (`sc_estado`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `logs`
--

CREATE TABLE IF NOT EXISTS `logs` (
  `nombre` varchar(150) NOT NULL,
  `proyecto` int(10) unsigned NOT NULL,
  `fecha` datetime NOT NULL,
  `inicio` datetime NOT NULL,
  `fin` datetime NOT NULL,
  `visitas` int(10) unsigned NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  PRIMARY KEY (`proyecto`,`inicio`),
  UNIQUE KEY `UNIQUE` (`nombre`,`proyecto`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proyectos`
--

CREATE TABLE IF NOT EXISTS `proyectos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(80) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `organizacion` varchar(80) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `descripcion` text CHARACTER SET utf8 COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `organizacion` (`organizacion`,`nombre`),
  KEY `nombre` (`nombre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
--

-- Volcado de datos para la tabla `proyectos`
--

INSERT INTO `proyectos` (`id`, `nombre`, `organizacion`, `descripcion`) VALUES
(1, 'Herramienta de AnÃ¡lisis Log','Universidad de Valladolid','Herramienta para el anÃ¡lisis de sus servicios web');
UPDATE `proyectos` SET `id` =  '0' WHERE  `proyectos`.`id` =1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `servidores`
--

CREATE TABLE IF NOT EXISTS `servidores` (
  `s_ip` varchar(16) NOT NULL DEFAULT '',
  `s_nombre_sitio` varchar(16) DEFAULT NULL,
  `s_nombre_servidor` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`s_ip`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipos_bitacora`
--

CREATE TABLE IF NOT EXISTS `tipos_bitacora` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(80) CHARACTER SET utf32 COLLATE utf32_spanish_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `nombre` (`nombre`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `tipos_bitacora`
--

INSERT INTO `tipos_bitacora` (`id`, `nombre`) VALUES
(2, 'Apache Combined Log + sc_time'),
(1, 'Apache Common Log + sc_time'),
(4, 'Microsoft Internet Information Services Max Log'),
(3, 'Microsoft Internet Information Services Min Log');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `visitantes`
--

CREATE TABLE IF NOT EXISTS `visitantes` (
  `proyecto` int(11) NOT NULL,
  `c_ip` varchar(40) NOT NULL,
  `c_id_usuario` varchar(20) DEFAULT NULL,
  `cs_nombre_usuario` varchar(64) DEFAULT NULL,
  `pais` varchar(20) DEFAULT NULL,
  `region` varchar(30) DEFAULT NULL,
  `ciudad` varchar(40) DEFAULT NULL,
  `latitud` float DEFAULT NULL,
  `longitud` float DEFAULT NULL,
  PRIMARY KEY (`proyecto`,`c_ip`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `visitas`
--

CREATE TABLE IF NOT EXISTS `visitas` (
  `proyecto` int(11) NOT NULL,
  `c_ip` varchar(40) NOT NULL,
  `s_fecha_hora_inicio` datetime NOT NULL,
  `s_fecha_hora_fin` datetime NOT NULL,
  `cs_uri_sistema_entrada` varchar(120) NOT NULL,
  `cs_uri_sistema_salida` varchar(120) NOT NULL,
  PRIMARY KEY (`proyecto`,`c_ip`,`s_fecha_hora_inicio`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
